/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}Get submission
Returns an application submission
Required permissions:
mandate.read
applicationSubmission.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired applicationSubmissionIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/applications/submissions/{applicationSubmissionId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
ObjectId as string
applicationFormNamestringrequired statusstringrequired Options:
unreadpendingapprovedrejectedemailConfirmedboolean | nullrequired Additional properties are not allowed.
languagestring | nullrequired Options:
endeAdditional properties are not allowed.
reviewStatusstringrequired Options:
nonependingacceptedrejectedAdditional properties are not allowed.
reviewRequestNotestringrequired maxLength: 4000
reviewRequestedAtstring | nullrequired reviewNotestringrequired maxLength: 4000
reviewedAtstring | nullrequired createdAtdate-time | nulloptional Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"applicationForm": "000000000000000000000001",
"applicationFormName": "string",
"status": "unread",
"emailConfirmed": true,
"submission": {
"schema": [
{
"id": "string",
"label": "string",
"fields": [
{
"id": "string",
"type": "placeholder"
}
]
}
],
"data": {}
},
"language": "en",
"dispatchStatus": {
"openedAt": "2026-06-15T22:30:00Z",
"sentAt": "2026-06-15T22:30:00Z",
"dispatchedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"sendStatus": "none",
"sendError": "NO_CREDITS_ENOUGH",
"sendPrice": 1
},
"reviewStatus": "none",
"reviewer": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"reviewRequestNote": "string",
"reviewRequestedAt": "string",
"reviewRequestedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
},
"reviewNote": "string",
"reviewedAt": "string",
"reviewedBy": {
"name": "string",
"type": "user",
"userId": "string",
"image": {
"resource": "string"
}
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}